Package: groovy.lang

## [Java] Class GroovySystem

- groovy.lang.GroovySystem

-     public final class GroovySystem
      extends Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static Map<String, GroovyRunner>` | `RUNNER_REGISTRY` | Reference to the Runtime Registry to be used by the Groovy run-time system to find classes capable of running scripts

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static MetaClassRegistry` | `getMetaClassRegistry()`
    `` | `public static String` | `getShortVersion()` Returns the major and minor part of the groovy version excluding the point/patch part of the version.
    `` | `public static String` | `getVersion()` Returns the groovy version
    `` | `public static boolean` | `isKeepJavaMetaClasses()`
    `` | `public static boolean` | `isUseReflection()`
    `` | `public static void` | `setKeepJavaMetaClasses(boolean keepJavaMetaClasses)`
    `` | `public static void` | `stopThreadedReferenceManager()` This method can be used to ensure that no threaded created by a reference manager will be active.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### @Deprecated public static final Map<String, GroovyRunner> RUNNER_REGISTRY

      Reference to the Runtime Registry to be used by the Groovy run-time system to find classes capable of running scripts

      deprecated:
        use GroovyRunnerRegistry

  - ### Method Detail

    - #### public static MetaClassRegistry getMetaClassRegistry()

    - #### public static String getShortVersion()

      Returns the major and minor part of the groovy version excluding the point/patch part of the version. E.g. 3.0.0, 3.0.0-SNAPSHOT, 3.0.0-rc-1 all have 3.0 as the short version.

      Since:
        3.0.1

    - #### public static String getVersion()

      Returns the groovy version

    - #### public static boolean isKeepJavaMetaClasses()

    - #### @Deprecated public static boolean isUseReflection()

    - #### public static void setKeepJavaMetaClasses(boolean keepJavaMetaClasses)

    - #### public static void stopThreadedReferenceManager()

      This method can be used to ensure that no threaded created by a reference manager will be active. This is useful if the Groovy runtime itself is loaded through a class loader which should be disposed off. Without calling this method and if a threaded reference manager is active the class loader cannot be unloaded! Per default no threaded manager will be used.

      Since:
        1.6